local function breakWall(en)
  setFlag("BeastDenBreakOne", true)
end

function onBegin()
  makeUnskippable()
  disableCollisions()
  playPuppetAnim("death")
  wait(1.6)
  player:Add(getEntityTimer(5, breakWall))
  playSound("event:/CC/CC_HollowKnight/SFX/Boss SFX/BossExplode")
  --particles
  wait(2)
  puppet.Visible = false
  --explode
  playMusic("event:/none")
  removeBoss(true)
  setFlag("BeastDenBreakOne", true)
end